Subject: Re: bug#47274: Linphone Packages

From: Raghav Gururajan <[email-masked]>
Date: Mon, 29 Mar 2021 02:01:17 -0400

Hi Maxim!

> I had an old package of build from 2020 with a more fleshed out
> description, so I've pushed that version instead as commit 65719505b8.

Sounds good.

> pkg-config turned out not to be needed.
> 
> I removed the trailing #t.
> 
> Removed the native-inputs field.
> 
> And pushed as ae479f1834.
> 
> I could turn this patch phase into a make flag:
> 
> Removed pkg-config, which was not needed.
> 
> Replaced @package by @code, as the former is not valid Texinfo markup.
> 
> And pushed as 111004cc58.
> 
> I used the same --include-dir make flag trick here.
> 
> Removed pkg-config, which was not needed.
> 
> s/@package/@code/, as for the previous package.
> 
> And pushed as commit f649a0a557.
> 
> I added a doc output to hold the multi-megabyte documentation and
> examples and used the same make flag trick to allow finding build-0.3
> files:
> 
> Dropped pkg-config here as well.
> 
> I removed expat from propagated-inputs, as the xsd generated code
> default to using xerces-c.  Someone wanting to use expat could add it
> manually.  I've also added a comment like this, as it was not clear to
> me initially why propagation was useful:

Thanks a lot for making the changes.

> For this package, I also had an unfinished version locally; the
> description was slightly more accurate, with an extra comment for the
> license:

Sounds good.

Regards,
RG.